Package Gnumed :: Package wxpython :: Module gmMeasurementWidgets :: Class cMeasurementsGrid |
[frames] | no frames]

# Class cMeasurementsGrid

source code

    wx.grid.Grid --+
                   |
                  cMeasurementsGrid

    A grid class for displaying measurement results.

    - operates on a cPatient instance handed to it
    - does NOT listen to the currently active patient
    - thereby it can display any patient at any time

Instance Methods
__init__(self, *args, **kwargs) | source code
delete_current_selection(self) | source code
sign_current_selection(self) | source code
plot_current_selection(self) | source code
get_selected_cells(self) | source code
select_cells(self, unsigned_only=False, accountables_only=False, keep_preselections=False) Select a range of cells according to criteria. | source code
repopulate_grid(self) | source code
empty_grid(self) | source code
get_row_tooltip(self, row=None) | source code
get_cell_tooltip(self, col=None, row=None) | source code

Class Variables
| patient = `property(_get_patient, _set_patient)`
| panel_to_show = `property(lambda x: x, _set_panel_to_show)`
| show_by_panel = `property(lambda x: x, _set_show_by_panel)`

Method Details

### select_cells(self, unsigned_only=False, accountables_only=False, keep_preselections=False) | source code
Select a range of cells according to criteria. unsigned_only: include only those which are not signed at all yet accountable_only: include only those for which the current user is responsible keep_preselections: broaden (rather than replace) the range of selected cells Combinations are powerful !